View Issue Details

IDProjectCategoryView StatusLast Update
0004537unrealircdpublic2016-01-13 11:42
ReporterBob_SheepAssigned Tosyzop 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version4.0.1 
Summary0004537: Add ability to reload TLS configuration from command line
DescriptionLet's Encrypt issues free 90 day certificates. In order to automate the use of these certificates a method to reload the unrealircd TLS configuration from a script is required.
TagsNo tags attached.
3rd party modules

Activities

syzop

2016-01-13 11:42

administrator   ~0019058

Done, will be in 4.0.1.
[unreal40 b3c371d] Add './unrealircd reloadtls' to reload SSL/TLS certificates and keys. Suggested by Bob_Sheep (0004537) to aid the usage of Let's Encrypt. Note that this is the same as doing '/REHASH -ssl' on IRC.
https://github.com/unrealircd/unrealircd/commit/b3c371ddf4d88213e8e1c049db97d0d27e4d227b

Issue History

Date Modified Username Field Change
2016-01-06 22:42 Bob_Sheep New Issue
2016-01-07 20:48 syzop Status new => acknowledged
2016-01-13 11:42 syzop Note Added: 0019058
2016-01-13 11:42 syzop Status acknowledged => resolved
2016-01-13 11:42 syzop Fixed in Version => 4.0.1
2016-01-13 11:42 syzop Resolution open => fixed
2016-01-13 11:42 syzop Assigned To => syzop